# Class OpenSSLConf

java.lang.Object
org.apache.tomcat.util.net.openssl.OpenSSLConf

All Implemented Interfaces:
  `Serializable`

public class OpenSSLConf extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenSSLConf()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCmd(OpenSSLConfCmd cmd)`
  `List<OpenSSLConfCmd>`
  `getCommands()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpenSSLConf

    public OpenSSLConf()

- ## Method Details

  - ### addCmd

    public void addCmd(OpenSSLConfCmd cmd)

  - ### getCommands

    public List<OpenSSLConfCmd> getCommands()